/* ===============================
   GRID (CATEGORY)
================================ */
.fs-grid-wrapper {
    display: flex;
    gap: 16px;
    justify-content: center;
}

.fs-grid-wrapper a {
    text-decoration: none;
}

.fs-grid-wrapper .fs-grid-item {
    padding: 16px 12px;
    border-radius: 8px;
    border: 2px solid #2C2C2C;
    background: #121212;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 8px;
    max-width: 25%;
}

.fs-grid-title {
    width: calc(100% - 56px);
    overflow: hidden;
    color: #F0F0F0;
    text-overflow: ellipsis;
    font-family: "Inter", sans-serif;
    font-size: 16px;
    font-weight: 500;
    line-height: 120%;
    letter-spacing: 0.25px;
}

.fs-grid-icon,
.fs-grid-icon img {
    width: 48px;
    height: 48px;
    object-fit: cover;
}

/* ===============================
   GLOBAL
================================ */
body {
    background-color: #000 !important;
}

.mb-24 {
    margin-bottom: 24px;
}

/* ===============================
   CARD
================================ */
.fs-card-item {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 24px 16px;
    border-radius: 8px;
    border: 2px solid #2C2C2C;
    background: #1E1E1E;
}

.fs-card-header {
    display: flex;
    justify-content: space-between;
}

.fs-card-icon,
.fs-card-icon img {
    width: 48px;
    height: 48px;
}

.fs-card-header-details {
    width: calc(100% - 56px);
    display: grid;
    gap: 4px;
    text-align: right;
}

.fs-card-header-detail-item {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 8px;
    color: #808080;
    font-family: "Inter", sans-serif;
    font-size: 12px;
    font-weight: 500;
}

.fs-card-item h3 {
    margin-top: 16px;
    color: #F0F0F0;
    font-size: 18px;
    font-weight: 600;
}

.fs-card-item h4 {
    margin: 16px 0 12px;
    color: #F0F0F0;
    font-size: 12px;
    font-weight: 700;
}

.fs-card-item p {
    color: #F0F0F0;
    font-size: 14px;
    line-height: 150%;
}

/* ===============================
   TAGS
================================ */
.fs-card-tags {
    margin: 0;
    padding: 0;
    list-style: none;
    display: flex;
    gap: 6px;
    flex-wrap: wrap;
}

.fs-card-tags li {
    padding: 8px 16px;
    border-radius: 8px;
    background: #003C73;
    color: #95DEFF;
    font-size: 12px;
    font-weight: 500;
    display: flex;
    align-items: center;
    gap: 4px;
}

/* ===============================
   BUTTONS
================================ */
.button-blue-bg,
.submit-btn {
    width: 100%;
    padding: 12px 16px;
    border-radius: 200px;
    background: #54CEFF;
    color: #003C73;
    font-size: 14px;
    font-weight: 700;
    border: none;
    min-height: 48px;
}

.button-no-bg {
    width: 100%;
    background: transparent;
    border: none;
    color: #95DEFF;
    font-size: 16px;
    font-weight: 700;
}

.card-buttons {
    display: grid;
    gap: 24px;
    margin-top: 24px;
}

/* ===============================
   MODAL
================================ */
.modal-dark .modal-content,
.sliding-modal {
    padding: 24px 24px 40px;
    border-radius: 16px;
    background: #121212;
    border: 1px solid #2C2C2C;
}

.sliding-modal-wrapper {
    position: fixed;
    bottom: -150%;
    left: 0;
    right: 0;
    transition: all .25s ease;
    z-index: 120;
}

.smw-active {
    bottom: 0;
}

.common-overlay {
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,0.8);
    display: none;
    z-index: 110;
}

/* ===============================
   FORMS (CF7)
================================ */
.custom-form-group-1 {
    position: relative;
}

.custom-form-group-1 input,
.custom-form-group-1 select,
.custom-form-group-1 textarea {
    width: 100%;
    height: 56px;
    border-radius: 4px;
    padding: 5px 16px;
    border: 1px solid #4A4A4A!important;
    font-size: 14px;
    font-weight: 400;
    line-height: 17.5px;
    letter-spacing: 0.25px;
    background: #1E1E1E!important;
    color: #808080!important;
    box-shadow: none !important;
    outline: none !important;
    cursor: pointer;
}

.custom-form-group-1 textarea {
    height: 150px;
}

.custom-form-group-1.filled input,
.custom-form-group-1.filled textarea {
    color: #F0F0F0!important;
}

.custom-form-group-1 label {
    position: absolute;
    top: -7px;
    left: 12px;
    padding: 0 5px;
    background: #1E1E1E!important;
    font-size: 12px;
    color: #616161!important;
    display: none;
    z-index: 10;
}

.custom-form-group-1.filled label {
    display: inline-block;
}
.custom-form-1 {
    display: flex;
    flex-direction: column;
    gap: 20px;
}
.submit-button-1 {
    width: 100%;
    height: 48px;
    padding: 12px 16px;
    border-radius: 200px;
    background: #54CEFF;
    overflow: hidden;
    color: #003C73;
    font-family:  Inter;
    font-size: 14px;
    font-weight: 700;
    line-height: 115%;
    letter-spacing: 0.5px;
    border:  4px solid rgba(0, 0, 0, 0);
    cursor: pointer;
}
.submit-button-1:hover {
    background: #00B6FF;
    color: #003C73;
    border:  4px solid rgba(0, 0, 0, 0);
    cursor: pointer;
}
.submit-button-1:focus {
    border:  4px solid #DFF5FF;
}
.submit-button-1:disabled, .submit-button-1.now-disabled {
    background: #2C2C2C!important;
    color: #4A4A4A!important;
    pointer-events: none;
    cursor: not-allowed;
}

select:disabled, .custom-form-group-1 select:disabled {
    color: #363636!important;
    border: 1px solid #363636!important;
    appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;

  background-image: url("https://courses.entri.app/wp-content/uploads/2025/11/arrow-disabled.svg")!important;
  background-repeat: no-repeat!important;
  background-position: right 20px center!important;  
  background-size: 10px;

  padding-right: 30px; 
}
select, .custom-form-group-1 select {
    appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;

  background-image: url("https://courses.entri.app/wp-content/uploads/2025/11/arrow-enabled.svg")!important;
  background-repeat: no-repeat!important;
  background-position: right 20px center!important;  
  background-size: 10px;

  padding-right: 30px; 
}

.custom-form-group-1 input[type="text"]::placeholder,
.custom-form-group-1 input[type="tel"]::placeholder,
.custom-form-group-1 input[type="email"]::placeholder {
    font-size: 14px;
    font-weight: 400;
    line-height: 17.5px;
    letter-spacing: 0.25px;
    color: #808080;
}
.custom-form-group-1.filled input[type="text"]::-ms-input-placeholder,
.custom-form-group-1.filled input[type="tel"]::-ms-input-placeholder,
.custom-form-group-1.filled input[type="email"]::-ms-input-placeholder,
.custom-form-group-1.filled textarea::-ms-input-placeholder {
    opacity: 0;
}
.custom-form-group-1.filled input[type="text"]::placeholder,
.custom-form-group-1.filled input[type="tel"]::placeholder,
.custom-form-group-1.filled input[type="email"]::placeholder,
.custom-form-group-1.filled textarea::placeholder {
    opacity: 0;
}
/* ===============================
   CF7 STATES
================================ */
.wpcf7-not-valid-tip {
    color: #b71d1d;
    font-size: 13px;
    font-weight: 500;
}

.wpcf7-spinner {
    display: block;
    margin-top: 10px;
}

.d-none {
    display: none!important;
}
.wpcf7-not-valid-tip {
    color: #b71d1d !important;
    font-size: 13px !important;
    font-weight: 500 !important;
}
.wpcf7 form.invalid .wpcf7-response-output,
.wpcf7 form.unaccepted .wpcf7-response-output,
.wpcf7 form.payment-required .wpcf7-response-output {
    border-color: #ffb900;
    background: #ffb900;
    font-size: 13px;
    font-weight: 500 !important;
    color: #000;
}
.wpcf7 form.sent .wpcf7-response-output {
    border-color: #1a7122;
    background: #1a7122;
    color: #fff;
    font-size: 13px;
    font-weight: 500;
}
.wpcf7 {
    position: relative;
}

.modal-dark .modal-content, .sliding-modal {
    border-radius: 16px 16px;
    background: #121212;
    padding: 24px 24px 40px;
    border: 1px solid #2C2C2C;
}

.modal-dark h3, .sliding-modal h3 {
    color: #F0F0F0;
    font-family: "Inter", Sans-serif;
    font-size: 18px;
    font-weight: 700;
    line-height: 125%;
    letter-spacing: 0.15px;
    margin-bottom: 24px;
}
.close-button {
    width: 32px;
    height: 32px;
    background: transparent;
    border: none;
    margin-bottom: 16px;
    cursor: pointer;
}

.co-list {
    list-style: none;
    display: flex;
    flex-direction: column;
    gap: 12px;
    margin: 0px 0px 24px;
    padding: 0px;
}
.co-list li {
    overflow: hidden;
    color: #808080;
    font-family: "Inter", Sans-serif;
    font-size: 14px;
    font-weight: 400;
    line-height: 145%;
    display: flex;
    gap: 8px;
}
.co-list li .list-icon-container {
    width: 24px;
    height: 24px;
    display: flex;
    background-image: url("https://courses.entri.app/wp-content/themes/entri/img/star.svg");
}
    .co-list li div {
        padding-top: 2px;
    }
        
.co-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 8px;
}
.co-grid .co-grid-item {
    padding: 12px;
    border-radius: 8px;
    border: 1px solid  #2C2C2C;
    background:  #1E1E1E;
    display: flex;
    gap: 12px;
    align-items: center;
}
.co-grid-icon {
    width: 24px;
    height: 24px;
}
.co-grid-icon img {
    width: 100%;
}
.co-grid-content {
    width: calc(100% - 36px );
    overflow: hidden;
    color: var(--Text-subtext, #808080);
    color: var(--Text-subtext, color(display-p3 0.502 0.502 0.502));
    font-feature-settings: 'liga' off, 'clig' off;
    text-overflow: ellipsis;
    font-family: "Inter", Sans-serif;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 120%;
    letter-spacing: 0.25px;
}
.freedom-sale-archives {
    padding-top: 30px;
}

.success-msg-section {
        display: flex;
        align-items: center;
        flex-direction: column;
      }
      .success-msg-section img {
        width: 120px;
        margin-bottom: 16px;
      }
      .success-msg-section p {
        overflow: hidden;
        color: #808080;
        text-align: center;
        text-overflow: ellipsis;

        /* Typescale/Paragraph/body-para */
        font-family:  Inter;
        font-size: 14px;
        font-style: normal;
        font-weight: 400;
        line-height: 160%; /* 22.4px */
        letter-spacing:  0.25px;
          margin-bottom: 20px;
  margin-top: 5px;
  width: 80%;
      }
      .success-msg-section h3 {
        margin-bottom: 0px;
        color: #F0F0F0;
          font-family: "Inter", Sans-serif;
          font-size: 18px;
          font-weight: 700;
          line-height: 125%;
          letter-spacing: 0.15px;
          text-align: center;
      }

/* ===============================
   RESPONSIVE
================================ */
@media (min-width: 1200px) {
    .container {
        max-width: 1140px!important;
        padding: 0!important;
    }
}
@media (max-width: 1199px) { 
    .container {
        max-width: 100%!important;
        width: 100%!important;
        padding: 0px 20px!important;
    }
    .fs-grid-wrapper .fs-grid-item {
        width: 100%;
        max-width: 35%;
    }

}
@media(max-width: 999px) {
     .fs-grid-wrapper .fs-grid-item {
       width: 100%;
        max-width: 35%;
    }
}

@media (max-width: 767px) {
    .button-blue-bg {
        padding: 12px 16px;
    }
    .modal-dark .modal-content, .sliding-modal {
        border-radius: 16px 16px 0px 0px;
        border: none!important;
    }
    .fs-grid-wrapper .fs-grid-item {
        width: 50%;
        max-width: 50%;
    }
}

